Skip to content
Documentation
Explore guides

For administrators

Employee skills

List, create, show, update, and delete employee skills for a skill.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all employee skills

GET /api/v3/skills/{skill_id}/employee_skills

Parameter Type Description
skill_id string (UUID) Skill id.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_name": "skill name",
    "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
    "employee_name": "Employee name",
    "details": "more details",
    "obtained_on": "2024-05-19",
    "renewed_on": "2024-07-14",
    "notification_on": "2025-01-22",
    "expiration_on": "2025-02-22"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_name": "skill name",
    "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
    "employee_name": "Employee name",
    "details": "more details",
    "obtained_on": "2024-05-19",
    "renewed_on": "2024-07-14",
    "notification_on": null,
    "expiration_on": null
  }
]

Create an employee skill

POST /api/v3/skills/{skill_id}/employee_skills

Request

{
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "details": "new details",
  "obtained_on": "2022-01-16"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_name": "skill name",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "details": "new details",
  "obtained_on": "2022-01-16",
  "renewed_on": "2024-07-14",
  "notification_on": "2025-01-22",
  "expiration_on": "2025-02-22"
}

Show an employee skill

GET /api/v3/skills/{skill_id}/employee_skills/{employee_skill_id}

Parameter Type Description
skill_id string (UUID) Skill id.
employee_skill_id string (UUID) Employee skill id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_name": "skill name",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "details": "more details",
  "obtained_on": "2024-05-19",
  "renewed_on": "2024-07-14",
  "notification_on": "2025-01-22",
  "expiration_on": "2025-02-22"
}

Update an employee skill

PUT /api/v3/skills/{skill_id}/employee_skills/{employee_skill_id}

Request

{
  "details": "updated details",
  "obtained_on": "2021-02-12"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_name": "skill name",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "details": "updated details",
  "obtained_on": "2021-02-12",
  "renewed_on": "2024-07-14",
  "notification_on": "2025-01-22",
  "expiration_on": "2025-02-22"
}

Delete an employee skill

DELETE /api/v3/skills/{skill_id}/employee_skills/{employee_skill_id}

Response 200

{}